/*
Copyright (c) 2006, Mathias Kende
sectionpc@gmail.com

L'utilisation de cette bibliothque est soumise  la licence SectionPC dont vous devez avoir
eu une copie avec la bibliothque. Si ce n'est pas le cas vous pouvez la lire l :
http://lib.sectionpc.info/licence/licence.html

La lecture de ce fichier entraine l'acceptation de cette licence.
*/

//Ces deux fonctions sont dfinies dans gestion.cpp
sockaddr_in FillAddr(unsigned long addr,unsigned short port);
unsigned long GetIP(const char* hostname);

//Ces macros servent  uniformiser certaines fonctionnalits entre Windows et Linux.
#ifdef WIN32
#  define new_thread(fct,param) CreateThread(NULL,0,(LPTHREAD_START_ROUTINE)fct,param,0,NULL)
#  define close_socket(socket)  closesocket(socket)
#  define mk_wait(ms)           Sleep(ms)
#else
#  define new_thread(fct,param) pthread_create(NULL,NULL,fct,param)
#  define close_socket(socket)  close(socket)
#  define mk_wait(ms)           usleep(ms*1000)
#endif


#ifndef INVALID_SOCKET
#  define INVALID_SOCKET (-1)
#endif
#ifndef SOCKET_ERROR
#  define SOCKET_ERROR (-1)
#endif
#ifndef INADDR_NONE
#  define INADDR_NONE (-1)
#endif

//Temps en secondes avant que la bibliothque ne force la destruction d'un objet mk_socket
#define KILL_TIMEOUT 20

#define send_error(err)   if (OnError!=NULL)                \
                          {                                 \
                            ++proc_count;                   \
                            OnError(*this,err,Error_Data);  \
                            --proc_count;                   \
                          }                                 


